Shree_bha
Posts: 4
Joined: Mon Mar 09, 2020 11:28 am

Getting Unable to locate package error

Wed Mar 18, 2020 10:58 am

Hello

I'm new to raspberry, whenever im trying to install new packages then it will show the error like this: Unable to locate your packages?
what is the reason for this? how to overcome from this problem?can anyone help to solve this?

Thank you..

drgeoff
Posts: 10538
Joined: Wed Jan 25, 2012 6:39 pm

Re: Getting Unable to locate package error

Wed Mar 18, 2020 11:05 am

Does your RPi have a working connection to the internet?

DirkS
Posts: 10315
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: Getting Unable to locate package error

Wed Mar 18, 2020 11:06 am

Which OS + version do you use?
Please give an example of the package you're trying to install.
The command you issue.
The full error message you get.

If you use the command line on Raspbian: do you run 'sudo apt update' before installing a program?

Shree_bha
Posts: 4
Joined: Mon Mar 09, 2020 11:28 am

Re: Getting Unable to locate package error

Wed Mar 18, 2020 12:31 pm

helloo..

I have the internet connection.

These are the OS information
PRETTY_NAME="Raspbian GNU/Linux 10 (buster)"
NAME="Raspbian GNU/Linux"
VERSION_ID="10"
VERSION="10 (buster)"
VERSION_CODENAME=buster
ID=raspbian
ID_LIKE=debian


before installing every time im running sudo apt-get update command also.

Errors are like this:
[email protected]:~ $ sudo apt-get install uv4l uv4l-raspicam
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package uv4l
E: Unable to locate package uv4l-raspicam

User avatar
rpdom
Posts: 16797
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: Getting Unable to locate package error

Wed Mar 18, 2020 12:44 pm

That could be because the packages uv4l and uv4l-raspicam don't exist in the standard repositories.

What instructions are you following (link please)?
Unreadable squiggle

pcmanbob
Posts: 9033
Joined: Fri May 31, 2013 9:28 pm
Location: Mansfield UK

Re: Getting Unable to locate package error

Wed Mar 18, 2020 12:57 pm

That's because the packages uv4l & uv4l-raspicam do not exist in the raspbian buster repositories,

You have to add another repository to your sources.list.

this is the only example I could find for adding it to buster, but note it still uses the stretch repository,

https://blog.cudmore.io/post/2019/12/14 ... an-buster/

I have not tested this so you are on your own if you do try it , if you have important data or programs on your SD card I would do a test install on a separate SD card to see if it will work correctly on buster.
We want information… information… information........................no information no help
The use of crystal balls & mind reading are not supported

SlowMoJoe
Posts: 49
Joined: Wed Oct 23, 2019 10:42 am

Re: Getting Unable to locate package error

Sat May 23, 2020 7:10 pm

Do we have any update on this? Aren't these repositories necessary for the official cameras?

DirkS
Posts: 10315
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: Getting Unable to locate package error

Sat May 23, 2020 7:40 pm

SlowMoJoe wrote:
Sat May 23, 2020 7:10 pm
Do we have any update on this? Aren't these repositories necessary for the official cameras?
No


fruitoftheloom
Posts: 22708
Joined: Tue Mar 25, 2014 12:40 pm
Location: Delightful Dorset

Re: Getting Unable to locate package error

Sat May 23, 2020 8:15 pm

SlowMoJoe wrote:
Sat May 23, 2020 7:10 pm
Do we have any update on this? Aren't these repositories necessary for the official cameras?


raspivid/raspistill/picamera
Rather than negativity think outside the box !

Asus ChromeBox 3 Celeron is my other computer.

DirkS
Posts: 10315
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: Getting Unable to locate package error

Sat May 23, 2020 8:32 pm

SlowMoJoe wrote:
Sat May 23, 2020 7:56 pm
No? So, this page is total nonsense?

https://www.linux-projects.org/document ... -raspicam/
UV4L is not necessary for the official cams.
These packages give additional functionality, but that was not what you asked.

klricks
Posts: 7047
Joined: Sat Jan 12, 2013 3:01 am
Location: Grants Pass, OR, USA
Contact: Website

Re: Getting Unable to locate package error

Sat May 23, 2020 8:45 pm

SlowMoJoe wrote:
Sat May 23, 2020 7:56 pm
No? So, this page is total nonsense?

https://www.linux-projects.org/document ... -raspicam/
You are correct...
Evedently the OP is trying to install to Buster and the instructions are out of date and written for Stretch, Jessie, Wheezy.
https://www.linux-projects.org/uv4l/installation/
You would need to contact the maintainer of the web site to see if they will update the procedure for Buster if possible.
Unless specified otherwise my response is based on the latest and fully updated RPiOS Buster w/ Desktop OS.

Return to “Beginners”